/* Copyright 2013 Robert Edward Steckroth II <RobertSteckroth@gmail.com> Bust0ut, Surgemcgee

* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; version 3.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import QtQuick.XmlListModel 2.0

import QtMultimedia 5.0

Item {
    property alias detailViewCurrent: detailViewCurrent
    ListView {
        objectName: "detailsListView"
        visible: currentStocksList.count > 0 ? true : false
        id: detailViewCurrent
        anchors.fill: parent
        clip: true
        model: currentStocksList
        delegate: Stock_Component_Detail {}
        spacing: units.gu(1)
    }

    Scrollbar {
        id: detailsScrollBar
        flickableItem: detailViewCurrent
        align: Qt.AlignTrailing
    }
}




