/* Copyright 2013 Robert Edward Steckroth II <RobertSteckroth@gmail.com> Bust0ut, Surgemcgee

* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; version 3.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem
import QtQuick.XmlListModel 2.0

Item {
    ListView {
        id: newsViewCurrent
        objectName: "newsListView"
        visible: currentStocksList.count > 0 ? true : false
        anchors.fill: parent
        clip: true
        model: newsFeedList
        delegate: Stock_Component_News { }
        spacing: units.gu(1)
    }
    Scrollbar {
        id: detailsScrollBar
        flickableItem: newsViewCurrent
        align: Qt.AlignTrailing
    }
    ActivityIndicator {
        objectName: "newsActivityIndicator"
        anchors.centerIn: parent
        clip: true
        running: newsFeed.status != XmlListModel.Ready
    }
}



