/* Copyright 2013 Robert Edward Steckroth II <RobertSteckroth@gmail.com> Bust0ut, Surgemcgee

* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; version 3.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

ListItem.Empty {
    id: addMainRect
    width: parent.width
    height: children[0].height+10
   // color: (typeof allStocksList.get(index) !== "undefined" && allStocksList.get(index).isCurrent) ? index % 2 === 0 ? "#8ba3cb" : "#a3b5d4" : (index % 2) ? "#d5c18b" : "#decea4"
    Item {
        id: addStockComponent
        width: parent.width
        height: childrenRect.height
        Column {
            width: parent.width
            Row {
                width: parent.width
                Item {
                    //color: "yellow"
                    width: Math.floor(parent.width * .39)
                    height: childrenRect.height
                    Text {
                        objectName: "companyNameText"
                        text: i18n.tr(cmpy_name.substr(0, 13))
                        font.bold: true
                        font.pixelSize: FontUtils.sizeToPixels("medium")
                        color: isCurrent ? "#1A0F04" : "#8D4F11"
                     }
                }
                Item {
                 //   color: "blue"
                    width: Math.floor(parent.width * .20)
                    height: childrenRect.height
                    Text {
                        anchors.right: parent.right
                        text: i18n.tr(getPrice(price, close, open))
                        font.bold: true
                        font.pixelSize: FontUtils.sizeToPixels("medium")
                        color: "#202020"
                    }
                }
                Item {
                //    color: "orange"
                    width: Math.floor(parent.width * .20)
                    height: childrenRect.height
                    Text {
                        anchors.right: parent.right
                        text: i18n.tr(getChangedAmount(close, getPrice(price, close, open), priceFormat)+(priceFormat === "%" ? "%" : " ")) // PriceFormat is a global and is altererd with
                        font.pixelSize: FontUtils.sizeToPixels("medium")
                        color: {
                            if ( getChangedAmount(close, getPrice(price, close, open), 'goNegative') < 0 ) "#631308"
                            else if ( getChangedAmount(close, getPrice(price, close, open), 'goNegative') > 0 )  "#0D5006"
                            else "black"
                        }
                    }
                    MouseArea {
                        anchors.fill: parent
                        onClicked: {
                            currentStocksList.setProperty(index, "priceFormat", priceFormat === "%" ? "$" : "%")
                        }
                    }
                }
                Item {
                 //   color: "purple"
                    objectName: "removeButton"
                    width: Math.floor(parent.width * .21)
                    height: childrenRect.height
                    Text {
                        objectName: "removeButtonText"
                        id: addRemoveButton
                        anchors.horizontalCenter: parent.horizontalCenter
                        text: i18n.tr("Remove")
                        font.pixelSize: FontUtils.sizeToPixels("medium")
                        color: "Blue"
                    }
                    MouseArea {
                        anchors.fill: parent
                        onClicked: {
                                log("Removed Stock")
                                currentStocksList.remove(index)
                                current_index = index == currentPage.mainViewCurrent.currentIndex && (currentPage.mainViewCurrent.currentIndex-1 || currentPage.mainViewCurrent.currentIndex+1)
                                currentPage.mainViewCurrent.currentIndex = current_index
                                currentPage.mainViewCurrent.positionViewAtIndex(current_index, currentStocksList)
                                sortModel(currentStocksList)
                        }
                    }
                }
            }
            Row {
                width: parent.width
                Item {
                  //  color: "lightblue"
                    width: Math.round(parent.width * .22)
                    height: childrenRect.height
                    Text {
                        text: i18n.tr("("+tick+")")
                        font.bold: false
                        font.letterSpacing: -1
                        font.pixelSize: FontUtils.sizeToPixels("medium")
                        color: "#202020"
                    }
                }
                Item {
                   // color: "red"
                    width: Math.round(parent.width * .33)
                    height: childrenRect.height
                    Text {
                        text: i18n.tr("open: "+open)
                        font.bold: false
                        //font.letterSpacing: -1
                        font.pixelSize: FontUtils.sizeToPixels("medium")
                        color: "#202020"
                    }
                }
                Item {
                 //   color: "pink"
                    width: Math.round(parent.width * .45)
                    height: childrenRect.height
                    Text {
                        anchors.horizontalCenter: parent.horizontalCenter
                        text: i18n.tr("prev close: "+close)
                        font.bold: false
                        //font.letterSpacing: -1
                        font.pixelSize: FontUtils.sizeToPixels("medium")
                        color: "#202020"
                    }
                }
            }
        }
    }
}





