/* Copyright 2013 Robert Edward Steckroth II <RobertSteckroth@gmail.com> Bust0ut, Surgemcgee

* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as published by
* the Free Software Foundation; version 3.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    width: parent.width
    anchors.horizontalCenter: parent.horizontalCenter
    height: children[0].height //  I would rather use childrenRect.height
    // This avoids this error (kudos to anyone who can explain it to me). --> stock-ticker-mobile-app/Current_details_page.qml:35:19: QML Stock_Component_Detail: Binding loop detected for property "height"
    clip: true
    radius: 6
    color: "#FCFCFC"
    Column {
        width: parent.width
        anchors.verticalCenter: parent.verticalCenter
        spacing: 5
        Text {
            width: parent.width - units.gu(1)
            anchors.horizontalCenter: parent.horizontalCenter
            wrapMode: Text.WordWrap
            text: i18n.tr("<a href=\""+link+"\">"+title+"</a>")
            font.bold: false
            font.pixelSize: FontUtils.sizeToPixels("medium")
            color: "#010B14"
            onLinkActivated: { log(link + " link activated"); Qt.openUrlExternally(link) }
        }
        Text {
            visible: description.length < 1 ? false : true
            width: parent.width - units.gu(2)
            anchors.horizontalCenter: parent.horizontalCenter
            wrapMode: Text.WordWrap
            text: i18n.tr(description)
            font.bold: false
            font.pixelSize: FontUtils.sizeToPixels("small")
            color: "#0E0E0E"
        }
    }
}

